View Issue Details

IDProjectCategoryView StatusLast Update
0005499Talerbank (demonstrator)public2019-12-20 19:12
ReporterMarcello Stanisci Assigned ToMarcello Stanisci  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Versiongit (master) 
Target Version0.6Fixed in Version0.6 
Summary0005499: Unhandled non-existent money recipient exception.
DescriptionIf a non-existent bank account ID is specified as the wire transfer recipient, then the bank crashes for the exception not being properly captured.
Steps To ReproduceLog in as a regular user, and use the wire transfer form to give money to some non existent bank account ID. Under normal conditions, pick a "big number" and it'll likely not represent any bank account ID.
TagsNo tags attached.

Activities

Marcello Stanisci

2018-12-06 19:14

viewer   ~0013390

b6c7d60 reproduces this error in the test cases.

Marcello Stanisci

2018-12-07 18:38

viewer   ~0013391

645dd65d3 fixes this. Closing.

Issue History

Date Modified Username Field Change
2018-12-06 18:58 Marcello Stanisci New Issue
2018-12-06 18:58 Marcello Stanisci Status new => assigned
2018-12-06 18:58 Marcello Stanisci Assigned To => Marcello Stanisci
2018-12-06 19:14 Marcello Stanisci Note Added: 0013390
2018-12-07 18:38 Marcello Stanisci Note Added: 0013391
2018-12-07 18:38 Marcello Stanisci Status assigned => resolved
2018-12-07 18:38 Marcello Stanisci Resolution open => fixed
2019-01-31 18:47 Christian Grothoff Product Version => git (master)
2019-01-31 18:47 Christian Grothoff Fixed in Version => 0.6
2019-01-31 18:47 Christian Grothoff Target Version => 0.6
2019-12-20 19:12 Christian Grothoff Status resolved => closed